# Point | @vladmandic/face-api - v1.7.6
Documentation for @vladmandic/face-api - v1.7.6

# Class Point

#### Hierarchy

- Point

#### Implements

- IPoint

- Defined in classes/Point.ts:6

#####
Index

### Constructors

constructor

### Accessors

x
y

### Methods

abs
add
div
floor
magnitude
mul
sub

## Constructors

### constructor

- new Point(x: number, y: number): Point

- #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns Point

  - Defined in classes/Point.ts:11

## Accessors

### x

- get x(): number

- #### Returns number

  Implementation of IPoint.x

  - Defined in classes/Point.ts:16

### y

- get y(): number

- #### Returns number

  Implementation of IPoint.y

  - Defined in classes/Point.ts:18

## Methods

### abs

- abs(): Point

- #### Returns Point

  - Defined in classes/Point.ts:36

### add

- add(pt: IPoint ): Point

- #### Parameters

  - ##### pt: IPoint

  #### Returns Point

  - Defined in classes/Point.ts:20

### div

- div(pt: IPoint ): Point

- #### Parameters

  - ##### pt: IPoint

  #### Returns Point

  - Defined in classes/Point.ts:32

### floor

- floor(): Point

- #### Returns Point

  - Defined in classes/Point.ts:44

### magnitude

- magnitude(): number

- #### Returns number

  - Defined in classes/Point.ts:40

### mul

- mul(pt: IPoint ): Point

- #### Parameters

  - ##### pt: IPoint

  #### Returns Point

  - Defined in classes/Point.ts:28

### sub

- sub(pt: IPoint ): Point

- #### Parameters

  - ##### pt: IPoint

  #### Returns Point

  - Defined in classes/Point.ts:24